> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check claim status

> Checks the real-time status of a claim using 276/277 transactions.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/clearinghouse/claim-status
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/clearinghouse/claim-status:
    post:
      tags:
        - Clearinghouse
      summary: Check claim status
      description: Checks the real-time status of a claim using 276/277 transactions.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                tradingPartnerServiceId:
                  type: string
                  description: The Payer ID in our clearinghouse
                payerClaimNumber:
                  type: string
                  description: The payer claim number (ICN) to check status for
                providerName:
                  type: string
                  description: The provider's organization name
                providerNpi:
                  type: string
                  description: The provider's NPI number
                subscriberFirstName:
                  type: string
                  description: The subscriber's first name
                subscriberLastName:
                  type: string
                  description: The subscriber's last name
                subscriberDateOfBirth:
                  type: string
                  pattern: ^\d{4}-\d{2}-\d{2}$
                  description: The subscriber's date of birth (YYYY-MM-DD format)
                subscriberMemberId:
                  type: string
                  description: The subscriber's member ID
                serviceFromDate:
                  type: string
                  pattern: ^\d{4}-\d{2}-\d{2}$
                  description: The beginning date of service (YYYY-MM-DD format)
                serviceToDate:
                  type: string
                  pattern: ^\d{4}-\d{2}-\d{2}$
                  description: The ending date of service (YYYY-MM-DD format)
              required:
                - tradingPartnerServiceId
                - providerNpi
                - subscriberFirstName
                - subscriberLastName
                - subscriberDateOfBirth
                - subscriberMemberId
              additionalProperties: false
        required: true
      responses:
        '200':
          description: >-
            Claim status information from the payer including processing status
            and details
          content:
            application/json:
              schema: {}
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: >-
                      Error message if the claim status check fails due to
                      server-side issues
                required:
                  - error
                additionalProperties: false

````